Subject: Re: [PATCH] Let "git svn" run "git gc --auto" occasionally

From: Harvey Harrison <[email-masked]>
Date: Sat, 19 Jan 2008 14:50:50 -0800

On Sat, 2008-01-19 at 23:36 +0100, Karl Hasselström wrote:
> Let "git svn" run "git gc --auto" every 100 imported commits, to
> reduce the number of loose objects.

I found 100 was a bit too low when doing some large repos, I've
been using 1000.  I'd argue that --repack=1000 should be done by
default.

> I'm not quite sure how this should interact with the --repack flag.
> Right now they just coexist, except for never running right after one
> another, but conceivably we should do something cleverer. Eric?
> 

How about git gc always gets run at the very end of a git svn fetch?

Just a thought.

Harvey